const nock = require('nock')
const octokit157 = require('@octokit/rest@15.7.0')({debug: true})
const octokit158 = require('@octokit/rest@15.8.2')()

nock.disableNetConnect()
nock('https://api.github.com')
  .post('/repos/chrisvariety/test/check-runs')
  .reply(200, [], {
    Link: '<https://api.github.com/orgs/octokit/repos?type=public&page=2>; rel="next"'
  })
  .persist()

console.log('testin octokit v15.7')
try {
  const response = await octokit157.checks.create({
    owner: 'chrisvariety',
    repo: 'test',
    name: 'QA',
    head_sha: 'SHA',
    head_branch: 'XXX',
    status: 'in_progress',
    started_at: `2018-01-01T06:00:00Z`,
    output: {
      title: 'Test',
      summary: `Test!`,
      text: 'Test'
    },
    actions: []
  })
  console.log('response', response);
} catch (error) {
  console.error(error);
}

console.log('testin octokit v15.8');
try {
  const response = await octokit158.checks.create({
    owner: 'chrisvariety',
    repo: 'test',
    name: 'QA',
    head_sha: 'SHA',
    head_branch: 'XXX',
    status: 'in_progress',
    started_at: `2018-01-01T06:00:00Z`,
    output: {
      title: 'Test',
      summary: `Test!`,
      text: 'Test'
    },
    actions: []
  })
  console.log('response', response);
} catch (error) {
  console.error(error);
};
